#############################################################################
### Estimating a sparse mixture of mixtures model with 
###   (1) simulation setup I, 
###   (2) simulation setup II, or 
###   (3) for the fleabeetles data set
#############################################################################


######### (1) Simulation setup I: create data set: 4-figure simulation setup: 
## number of observations:
N <- 800
## number of generating Gaussian distributions:
K_g <- 8
## weight vector:
eta <- 1/4 * c(1/3, 1/3, 1/3, 1/2, 1/2, 1/2, 1/2, 1)
# mu:
mu <- cbind(c(6, 1.5), c(4, 6), c(8, 6), c(22.5, 1.5), c(20, 8), c(22, 31), c(22, 31), c(6.5, 29))
### covariance matrices:
r <- length(mu[, 1])  #dimension
sigma <- array(0, dim = c(r, r, K_g))
# 1. figure:
sigma[, , 1] <- tcrossprod(c(2.2, 1.7)) * matrix(c(1, 0, 0, 1), ncol = 2)
sigma[, , 2] <- tcrossprod(c(1.9, 3.8)) * matrix(c(1, 0.7, 0.7, 1), ncol = 2)
sigma[, , 3] <- tcrossprod(c(1.9, 3.8)) * matrix(c(1, -0.7, -0.7, 1), ncol = 2) 
# 2. figure:
sigma[, , 4] <- tcrossprod(c(3.5, 1.8)) * matrix(c(1, 0, 0, 1), ncol = 2)
sigma[, , 5] <- tcrossprod(c(1.8, 3.5)) * matrix(c(1, 0, 0, 1), ncol = 2)
# 3. figure:
sigma[, , 6] <- tcrossprod(c(3.8, 1.5)) * matrix(c(1, 0, 0, 1), ncol = 2)
sigma[, , 7] <- tcrossprod(c(1.5, 4.2)) * matrix(c(1, 0, 0, 1), ncol = 2)
# 4. figure:
sigma[, , 8] <- tcrossprod(c(1.5, 4)) * matrix(c(1, 0.7, 0.7, 1), ncol = 2)
perm <- c(1, 1, 1, 2, 2, 3, 3, 4)  ## indicator vector for the 4 clusters

## number of data sets:
sim <- 3
source("Analysis.R")



######### (2) Simulation setup II: create data set: 2-clusters generated by 3 normal distributions
## number of observations:
N <- 300
## number of generating Gaussian distributions:
K_g <- 3
## eta:
eta <- rep(1/K_g, K_g)
## mu:
mu <- cbind(c(2, 2), c(4.2, 4.2), c(7.8, 7.8))
### covariance matrices:
r <- nrow(mu)  ## dimension
sigma <- array(0, dim = c(r, r, K_g))
for (k in 1:K_g) 
  sigma[, , k] <- diag(nrow = r)
perm <- c(1, 1, 2)  ## indicator vector for the 2 clusters

## number of data sets:
sim <- 3
source("Analysis.R")



######### 83) Fleabeetles data set: read fleabeetles data:
data("fleabeetles", package = "DPpackage")
y <- as.matrix(fleabeetles[, 1:6])
z_k <- fleabeetles[, 7]
r <- ncol(y)
N <- nrow(y)

## number of data sets:
sim <- 1
source("Analysis.R")

